org.eclipse.rdf4j.query.resultio

## Class TupleQueryResultParserBase

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser
    - - org.eclipse.rdf4j.query.resultio.TupleQueryResultParserBase

- All Implemented Interfaces:
    QueryResultParser, TupleQueryResultParser

  Deprecated.
  since 2.0. Use `AbstractTupleQueryResultParser` instead.

      @Deprecated
      public abstract class TupleQueryResultParserBase
      extends AbstractTupleQueryResultParser

  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleQueryResultParserBase()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser

      `getQueryResultFormat, parseQueryResult, setTupleQueryResultHandler`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.TupleQueryResultParser

      `getTupleQueryResultFormat, parse`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### TupleQueryResultParserBase

          public TupleQueryResultParserBase()

      Deprecated.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.